//
//  PersonTableController.m
//  Person Database
//
//  Created by Holger Hinzberg on 19.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "PersonTableController.h"

@implementation PersonTableController
@synthesize personTable = _personTable;

- (id)init
{
    if ((self = [super init]))
    {
        personArray = [[NSMutableArray alloc] init];
    }
    return self;
}

- (void)addPerson:(Person *)aPerson
{
    // Opbjekt dem Array hinzufügen
    [personArray addObject:aPerson];
    // Tabellen-Steuerelement aktualisieren
    [_personTable reloadData];
}

- (NSInteger)numberOfRowsInTableView:(NSTableView *)aTableView
{
    return [personArray count];
}
 
- (id)tableView:(NSTableView *)aTableView
objectValueForTableColumn:
(NSTableColumn *)aTableColumn row:(NSInteger)rowIndex
{
    // Das Objekt für eine Zeile
    Person *aPerson = [personArray objectAtIndex:rowIndex];
    
    // Die Eigenschaft für die Spalte,
    // ermittelt mit dem Identifier
    id value =
    [aPerson valueForKey:[aTableColumn identifier]];
    return value;
}

@end
